import request from '@/utils/request'

// 获取功能分类基本信息
export function getFuncCategory(data) {
  return request({
    url: request.apiModule.rdfm + '/funcCategory',
    method: 'get',
    params: data
  })
}

//新建功能类别管理
export function createFuncCategory(data) {
  return request({
    url: request.apiModule.rdfm + '/funcCategory/manager',
    method: 'post',
    data
  })
}

//更新功能类别管理
export function updateFuncCategory(data) {
  return request({
    url: request.apiModule.rdfm + '/funcCategory',
    method: 'put',
    data
  })
}

//获取功能类别属性详细信息
export function getFuncCategoryInfo(param) {
  return request({
    url: request.apiModule.rdfm + '/funcCategory/' + param,
    method: 'get'
  })
}

//新增功能类别详细信息（新建第二步）
export function createFuncCategoryInfo(data) {
  return request({
    url: request.apiModule.rdfm + '/funcCategory/detail',
    method: 'post',
    data
  })
}
//新增或更新功能类别详细信息（若是新增detailId填空）（编辑时）
export function updateFuncCategoryInfo(data) {
  return request({
    url: request.apiModule.rdfm + '/funcCategory/detail',
    method: 'put',
    data
  })
}

//删除功能类别详细信息
export function deleteFuncCategory(id) {
  return request({
    url: request.apiModule.rdfm + '/funcCategory/detail',
    method: 'delete',
    data: { id: id }
  })
}
